summaryrefslogtreecommitdiffstats
path: root/bin/ebuild-helpers/dolib
diff options
context:
space:
mode:
Diffstat (limited to 'bin/ebuild-helpers/dolib')
-rwxr-xr-xbin/ebuild-helpers/dolib7
1 files changed, 5 insertions, 2 deletions
diff --git a/bin/ebuild-helpers/dolib b/bin/ebuild-helpers/dolib
index 794fdb64f..821e1321e 100755
--- a/bin/ebuild-helpers/dolib
+++ b/bin/ebuild-helpers/dolib
@@ -2,6 +2,8 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
+source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
+
# Setup ABI cruft
LIBDIR_VAR="LIBDIR_${ABI}"
if [[ -n ${ABI} && -n ${!LIBDIR_VAR} ]] ; then
@@ -14,11 +16,11 @@ libdir="${D}${DESTTREE}/${CONF_LIBDIR}"
if [[ $# -lt 1 ]] ; then
- echo "$0: at least one argument needed" 1>&2
+ helpers_die "$0: at least one argument needed"
exit 1
fi
if [[ ! -d ${libdir} ]] ; then
- install -d "${libdir}" || exit 1
+ install -d "${libdir}" || { helpers_die "$0: failed to install ${libdir}"; exit 1; }
fi
ret=0
@@ -37,4 +39,5 @@ for x in "$@" ; do
((ret|=$?))
done
+[[ $ret -ne 0 ]] && helpers_die "$0 failed"
exit ${ret}